PKGCTL-RELEASE(1)

NOME
pkgctl-release - Etapa de lançamento para fazer commit, tag e carregar artefatos de construção

SINOPSE

pkgctl release [OPÇÕES] [CAMINHO...]

DESCRIÇÃO

Os arquivos controlados pela versão modificada serão primeiro preparados para commit, depois uma tag Git correspondente ao pkgver será criada e, finalmente, todos os artefatos de construção serão carregados.

Por padrão, o repositório alvo pacman será detectado automaticamente ao consultar o repositório no qual ele está atualmente lançado. Ao adicionar inicialmente um novo pacote aos repositórios, o repositório alvo deve ser especificado manualmente.

OPÇÕES

-m, --message MSG
    Usa a mensagem <msg> fornecida como mensagem de commit

-r, --repo REPO
    Especifica repositório alvo para novos pacotes que não estejam em nenhum repositório oficial. Usar esta opção não é permitido se o pacote já foi lançado, pois contornaria a proteção de autodetecção.

-s, --staging
    Constrói a partir da contraparte de staging do repositório detectado automaticamente

-t, --testing
    Constrói a partir da contraparte de testing do repositório detectado automaticamente

-u, --db-update
    Atualiza automaticamente a base de dados do pacman após o envio

-h, --help
    Mostra um texto de ajuda.

VEJA TAMBÉM

pkgctl-db-update(1)

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).